Package org.silverpeas.mobile.shared.dto

## Interface IFullUser

-     public interface IFullUser

  Author:
    svu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAvatar()` |
    `String` | `getCellularPhoneNumber()` |
    `boolean` | `getConnected()` |
    `String` | `getDomainId()` |
    `String` | `geteMail()` |
    `String` | `getFaxPhoneNumber()` |
    `String` | `getFirstName()` |
    `String` | `getId()` |
    `String` | `getLanguage()` |
    `String` | `getLastName()` |
    `String` | `getLogin()` |
    `String` | `getPassword()` |
    `String` | `getPhoneNumber()` |
    `String` | `getSessionKey()` |
    `String` | `getStatus()` |
    `String` | `getToken()` |
    `String` | `getZone()` |
    `boolean` | `isNotificationBox()` |
    `void` | `setAvatar​(String avatar)` |
    `void` | `setCellularPhoneNumber​(String cellularPhoneNumber)` |
    `void` | `setConnected​(boolean connected)` |
    `void` | `setDomainId​(String domainId)` |
    `void` | `seteMail​(String EMail)` |
    `void` | `setFaxPhoneNumber​(String faxPhoneNumber)` |
    `void` | `setFirstName​(String firstName)` |
    `void` | `setId​(String id)` |
    `void` | `setLanguage​(String language)` |
    `void` | `setLastName​(String LastName)` |
    `void` | `setLogin​(String login)` |
    `void` | `setNotificationBox​(boolean notificationBox)` |
    `void` | `setPassword​(String password)` |
    `void` | `setPhoneNumber​(String phoneNumber)` |
    `void` | `setSessionKey​(String sessionKey)` |
    `void` | `setStatus​(String status)` |
    `void` | `setToken​(String token)` |
    `void` | `setZone​(String zone)` |

- - ### Method Detail

    - #### getLogin

          String getLogin()

    - #### setLogin

          void setLogin​(String login)

    - #### getPassword

          String getPassword()

    - #### setPassword

          void setPassword​(String password)

    - #### getDomainId

          String getDomainId()

    - #### setDomainId

          void setDomainId​(String domainId)

    - #### getToken

          String getToken()

    - #### setToken

          void setToken​(String token)

    - #### getId

          String getId()

    - #### setId

          void setId​(String id)

    - #### getLastName

          String getLastName()

    - #### setLastName

          void setLastName​(String LastName)

    - #### seteMail

          void seteMail​(String EMail)

    - #### geteMail

          String geteMail()

    - #### getFirstName

          String getFirstName()

    - #### setFirstName

          void setFirstName​(String firstName)

    - #### getAvatar

          String getAvatar()

    - #### setAvatar

          void setAvatar​(String avatar)

    - #### getPhoneNumber

          String getPhoneNumber()

    - #### setPhoneNumber

          void setPhoneNumber​(String phoneNumber)

    - #### getCellularPhoneNumber

          String getCellularPhoneNumber()

    - #### setCellularPhoneNumber

          void setCellularPhoneNumber​(String cellularPhoneNumber)

    - #### getFaxPhoneNumber

          String getFaxPhoneNumber()

    - #### setFaxPhoneNumber

          void setFaxPhoneNumber​(String faxPhoneNumber)

    - #### getStatus

          String getStatus()

    - #### setStatus

          void setStatus​(String status)

    - #### setLanguage

          void setLanguage​(String language)

    - #### getLanguage

          String getLanguage()

    - #### setConnected

          void setConnected​(boolean connected)

    - #### getConnected

          boolean getConnected()

    - #### setZone

          void setZone​(String zone)

    - #### getZone

          String getZone()

    - #### setSessionKey

          void setSessionKey​(String sessionKey)

    - #### getSessionKey

          String getSessionKey()

    - #### setNotificationBox

          void setNotificationBox​(boolean notificationBox)

    - #### isNotificationBox

          boolean isNotificationBox()